Allow editing the edit summary when changes have been made
Closed, ResolvedPublic

Description

Motivation
We want to show the move to commons in the file's version history. Changes that are made during the move should be listed there as well. Hence, we need an option to write an edit summary of the changes.

Task

  • If the user changes the title or the wikitext make the edit summary field editable.
  • Otherwise make the field read only.
Lea_WMDE created this task.Mar 10 2017, 5:47 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 10 2017, 5:47 PM
Lea_WMDE removed Addshore as the assignee of this task.Mar 10 2017, 5:47 PM
Lea_WMDE removed a project: User-Addshore.
Lea_WMDE removed a subscriber: gerritbot.

Change 344203 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/FileImporter@master] Add an edit summary box to the import page

https://gerrit.wikimedia.org/r/344203

Addshore claimed this task.Mar 22 2017, 8:31 PM
Addshore added a project: User-Addshore.

Edit summary box appearance:

Addshore moved this task from Backlog to In Progress on the User-Addshore board.Mar 22 2017, 8:37 PM
Addshore moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team-Board board.

Change 344203 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add an edit summary box to the import page

https://gerrit.wikimedia.org/r/344203

The edit box now exists, but is not currently used (as changes can not currently be made)

Addshore moved this task from In Progress to Next on the User-Addshore board.
Tobi_WMDE_SW renamed this task from Add edit summary to preview page to Allow editing the edit summary when changes have been made.Jul 25 2017, 3:26 PM
Tobi_WMDE_SW updated the task description. (Show Details)
Addshore removed Addshore as the assignee of this task.Aug 22 2017, 3:05 PM
Addshore moved this task from Next to Backlog on the User-Addshore board.Aug 22 2017, 3:24 PM
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-09-05 board.

Change 376828 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] [WIP] Enable edit summary field when changes have been made

https://gerrit.wikimedia.org/r/376828

Change 376828 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Enable edit summary field when changes have been made

https://gerrit.wikimedia.org/r/376828

Tobi_WMDE_SW closed this task as Resolved.Oct 10 2017, 9:27 AM
Addshore moved this task from Backlog to Done / Closed on the User-Addshore board.Oct 30 2017, 4:36 PM